import Vue from 'vue';
import Vuex from 'vuex';
import * as ustate from '@common/src/store/user/state';
import * as umutations from '@common/src/store/user/mutations';
// 管理员
import adminLogin from '@common/src/store/adminLogin';
// 用户
import personal from '@common/src/store/personal';
// 代理机构
import agent_mech from '@common/src/store/agent_mech';
// 咨询师
import answer_tea from '@common/src/store/answer_tea';

Vue.use(Vuex);

export default new Vuex.Store({
  state: { ...ustate },
  mutations: { ...umutations },
  actions: {},
  modules: { adminLogin, personal, agent_mech, answer_tea },
});
